/**
 * Copyright Microsoft Corporation. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import type { TestError } from './reporter';
import type { Config, TestStatus } from './types';
export declare type SerializedLoaderData = {
    defaultConfig: Config;
    overrides: Config;
    configFile: {
        file: string;
    } | {
        rootDir: string;
    };
};
export declare type WorkerInitParams = {
    workerIndex: number;
    repeatEachIndex: number;
    projectIndex: number;
    loader: SerializedLoaderData;
};
export declare type TestBeginPayload = {
    testId: string;
    workerIndex: number;
};
export declare type TestEndPayload = {
    testId: string;
    duration: number;
    status: TestStatus;
    error?: TestError;
    expectedStatus: TestStatus;
    annotations: {
        type: string;
        description?: string;
    }[];
    timeout: number;
};
export declare type TestEntry = {
    testId: string;
    retry: number;
};
export declare type RunPayload = {
    file: string;
    entries: TestEntry[];
};
export declare type DonePayload = {
    failedTestId?: string;
    fatalError?: any;
    remaining: TestEntry[];
};
export declare type TestOutputPayload = {
    testId?: string;
    text?: string;
    buffer?: string;
};
//# sourceMappingURL=ipc.d.ts.map