/**
 * Copyright Microsoft Corporation. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import type { FullConfig, Config } from './types';
import { Suite } from './test';
import { SerializedLoaderData } from './ipc';
import { ProjectImpl } from './project';
export declare class Loader {
    private _defaultConfig;
    private _configOverrides;
    private _fullConfig;
    private _config;
    private _configFile;
    private _projects;
    private _fileSuites;
    constructor(defaultConfig: Config, configOverrides: Config);
    static deserialize(data: SerializedLoaderData): Loader;
    loadConfigFile(file: string): Config;
    loadEmptyConfig(rootDir: string): void;
    private _processConfigObject;
    loadTestFile(file: string): Suite;
    loadGlobalHook(file: string, name: string): (config: FullConfig) => any;
    fullConfig(): FullConfig;
    projects(): ProjectImpl[];
    fileSuites(): Map<string, Suite>;
    serialize(): SerializedLoaderData;
    private _addProject;
}
//# sourceMappingURL=loader.d.ts.map