/**
 * Copyright (c) Microsoft Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import EmptyReporter from './empty';
import { FullConfig, Suite, TestError } from '../reporter';
export declare type ReportFormat = ReturnType<JSONReporter['_serializeReport']>;
declare class JSONReporter extends EmptyReporter {
    config: FullConfig;
    suite: Suite;
    private _errors;
    private _outputFile;
    constructor(options?: {
        outputFile?: string;
    });
    onBegin(config: FullConfig, suite: Suite): void;
    onTimeout(): void;
    onError(error: TestError): void;
    onEnd(): void;
    private _serializeReport;
    private _serializeSuite;
    private _serializeTestSpec;
    private _serializeTest;
    private _serializeTestResult;
}
export default JSONReporter;
//# sourceMappingURL=json.d.ts.map