/**
 * Copyright 2019 Google Inc. All rights reserved.
 * Modifications copyright (c) Microsoft Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Config } from './types';
declare type RunResult = 'passed' | 'failed' | 'sigint' | 'forbid-only' | 'no-tests' | 'timedout';
export declare class Runner {
    private _loader;
    private _reporter;
    private _didBegin;
    constructor(defaultConfig: Config, configOverrides: Config);
    private _createReporter;
    loadConfigFile(file: string): Config;
    loadEmptyConfig(rootDir: string): void;
    run(list: boolean, testFileReFilters: RegExp[], projectName?: string): Promise<RunResult>;
    _flushOutput(): Promise<void>;
    _run(list: boolean, testFileReFilters: RegExp[], projectName?: string): Promise<RunResult>;
}
export {};
//# sourceMappingURL=runner.d.ts.map